//=============================================================================
// Atmega128 HAL
// by nexp76(nexp76@naver.com)
// [avr8_hal.h]
//=============================================================================

/*


*/

#ifndef	_HALMEGA_H_
#define	_HALMEGA_H_
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
//#define _HAL_MEGA128_UART
#define _HAL_MEGA8_UART
//#define _HAL_USB128x_UART

//#define _SYS_CLK_AT147456MHZ
#define _SYS_CLK_AT16MHZ
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
#include <avr/io.h>
#include <avr/signal.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include <stdio.h>
#include <stdlib.h>


//-----------------------------------------------------------------------------



// Enter interrupt	
#define enable()  __asm__ __volatile__ ("sei" ::)
#define disable() __asm__ __volatile__ ("cli" ::)

#define _FLASH_						__attribute__ ((progmem))
#define FlashRead(Data)				pgm_read_byte(Data)
//-----------------------------------------------------------------------------
#endif